import 'package:fis_jsonrpc/rpc.dart';
import 'package:flyinsono/managers/interfaces/remote_maintenance.dart';
import 'package:get/get.dart';

class SaveAndExitToClientNotificationHandler
    extends NotificationHandler<SystemSettingSaveAndExitToClientNotification> {
  SaveAndExitToClientNotificationHandler()
      : super(
            NotificationTypeEnum.SystemSettingSaveAndExitToClientNotification);

  @override
  void execute(SystemSettingSaveAndExitToClientNotification message) {
    var manager = Get.find<IRemoteMaintenanceManager>();
    manager.onSystemSaveAndExit.emit(this, true);
    super.execute(message);
  }
}
